# -*- coding: utf-8 -*-
# Generated by Django 1.9.7 on 2016-08-16 18:19
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import smart_selects.db_fields


class Migration(migrations.Migration):

    dependencies = [
        ('league', '0001_initial'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='player',
            options={'verbose_name': 'Player', 'verbose_name_plural': 'Players'},
        ),
        migrations.AlterModelOptions(
            name='schedule',
            options={'verbose_name': 'Game', 'verbose_name_plural': 'Games'},
        ),
        migrations.AlterModelOptions(
            name='season',
            options={'verbose_name': 'Season', 'verbose_name_plural': 'Seasons'},
        ),
        migrations.AlterModelOptions(
            name='standings',
            options={'ordering': ('-points', 'score_lost', '-win', 'lost'), 'verbose_name': 'Table', 'verbose_name_plural': 'Tables'},
        ),
        migrations.AlterModelOptions(
            name='team',
            options={'verbose_name': 'Team', 'verbose_name_plural': 'Teams'},
        ),
        migrations.AlterField(
            model_name='player',
            name='birth_date',
            field=models.DateField(null=True, verbose_name='Date of birth'),
        ),
        migrations.AlterField(
            model_name='player',
            name='height',
            field=models.IntegerField(default=0, help_text='Insert height in cm', null=True, verbose_name='Height'),
        ),
        migrations.AlterField(
            model_name='player',
            name='image',
            field=models.ImageField(blank=True, null=True, upload_to='uploads/teams/%Y/%m/%d/players/', verbose_name='Player photo'),
        ),
        migrations.AlterField(
            model_name='player',
            name='jersey',
            field=models.IntegerField(blank=True, null=True, verbose_name='Jersey number'),
        ),
        migrations.AlterField(
            model_name='player',
            name='name',
            field=models.CharField(max_length=200, null=True, verbose_name='First name'),
        ),
        migrations.AlterField(
            model_name='player',
            name='position',
            field=models.CharField(max_length=50, null=True, verbose_name='Position'),
        ),
        migrations.AlterField(
            model_name='player',
            name='season',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='league.Season', verbose_name='Season'),
        ),
        migrations.AlterField(
            model_name='player',
            name='surename',
            field=models.CharField(max_length=200, null=True, verbose_name='Last name'),
        ),
        migrations.AlterField(
            model_name='player',
            name='team',
            field=smart_selects.db_fields.ChainedForeignKey(chained_field='season', chained_model_field='teams', on_delete=django.db.models.deletion.CASCADE, related_name='player_team', to='league.Team', verbose_name='Team'),
        ),
        migrations.AlterField(
            model_name='player',
            name='weight',
            field=models.IntegerField(default=0, help_text='Insert weight in kg', null=True, verbose_name='Weight'),
        ),
        migrations.AlterField(
            model_name='schedule',
            name='away_team',
            field=smart_selects.db_fields.ChainedForeignKey(chained_field='season', chained_model_field='teams', on_delete=django.db.models.deletion.CASCADE, related_name='away_team', to='league.Team', verbose_name='Away team'),
        ),
        migrations.AlterField(
            model_name='schedule',
            name='away_team_score',
            field=models.IntegerField(blank=True, null=True, verbose_name='Away team score'),
        ),
        migrations.AlterField(
            model_name='schedule',
            name='city',
            field=models.CharField(blank=True, max_length=200, null=True, verbose_name='City'),
        ),
        migrations.AlterField(
            model_name='schedule',
            name='date',
            field=models.DateTimeField(default=django.utils.timezone.now, verbose_name='Date'),
        ),
        migrations.AlterField(
            model_name='schedule',
            name='home_team',
            field=smart_selects.db_fields.ChainedForeignKey(chained_field='season', chained_model_field='teams', on_delete=django.db.models.deletion.CASCADE, related_name='home_team', to='league.Team', verbose_name='Home team'),
        ),
        migrations.AlterField(
            model_name='schedule',
            name='home_team_score',
            field=models.IntegerField(blank=True, null=True, verbose_name='Home team score'),
        ),
        migrations.AlterField(
            model_name='schedule',
            name='season',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='league.Season', verbose_name='Season'),
        ),
        migrations.AlterField(
            model_name='schedule',
            name='week',
            field=models.IntegerField(default=1, verbose_name='Week'),
        ),
        migrations.AlterField(
            model_name='season',
            name='draw_points',
            field=models.IntegerField(default=0, null=True, verbose_name='Points for draw'),
        ),
        migrations.AlterField(
            model_name='season',
            name='league',
            field=models.CharField(max_length=200, null=True, verbose_name='League'),
        ),
        migrations.AlterField(
            model_name='season',
            name='lost_points',
            field=models.IntegerField(default=0, null=True, verbose_name='Points for loss'),
        ),
        migrations.AlterField(
            model_name='season',
            name='name',
            field=models.CharField(max_length=200, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='season',
            name='slug',
            field=models.SlugField(null=True, unique=True, verbose_name='Slug'),
        ),
        migrations.AlterField(
            model_name='season',
            name='standings_order',
            field=models.IntegerField(choices=[(0, 'Points, Wins, Lost, Score Lost'), (1, 'Points, Score, Score Lost')], default=0, verbose_name='Standings order'),
        ),
        migrations.AlterField(
            model_name='season',
            name='teams',
            field=models.ManyToManyField(blank=True, null=True, related_name='teams', to='league.Team', verbose_name='Teams'),
        ),
        migrations.AlterField(
            model_name='season',
            name='win_points',
            field=models.IntegerField(default=0, null=True, verbose_name='Points for win'),
        ),
        migrations.AlterField(
            model_name='standings',
            name='draws',
            field=models.IntegerField(default=0, null=True, verbose_name='Draw'),
        ),
        migrations.AlterField(
            model_name='standings',
            name='lost',
            field=models.IntegerField(default=0, null=True, verbose_name='Lost'),
        ),
        migrations.AlterField(
            model_name='standings',
            name='matches',
            field=models.IntegerField(blank=True, default=0, null=True, verbose_name='Matches'),
        ),
        migrations.AlterField(
            model_name='standings',
            name='points',
            field=models.IntegerField(default=0, null=True, verbose_name='Points'),
        ),
        migrations.AlterField(
            model_name='standings',
            name='position',
            field=models.IntegerField(blank=True, default=1, null=True, verbose_name='Position'),
        ),
        migrations.AlterField(
            model_name='standings',
            name='roster_image',
            field=models.ImageField(blank=True, null=True, upload_to='uploads/teams/%Y/%m/%d/rosters/', verbose_name='Roster image'),
        ),
        migrations.AlterField(
            model_name='standings',
            name='score',
            field=models.IntegerField(default=0, null=True, verbose_name='Score'),
        ),
        migrations.AlterField(
            model_name='standings',
            name='score_lost',
            field=models.IntegerField(default=0, null=True, verbose_name='Score lost'),
        ),
        migrations.AlterField(
            model_name='standings',
            name='season',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='league.Season', verbose_name='Season'),
        ),
        migrations.AlterField(
            model_name='standings',
            name='team',
            field=smart_selects.db_fields.ChainedForeignKey(chained_field='season', chained_model_field='teams', on_delete=django.db.models.deletion.CASCADE, related_name='team', to='league.Team', verbose_name='Team'),
        ),
        migrations.AlterField(
            model_name='standings',
            name='win',
            field=models.IntegerField(default=0, null=True, verbose_name='Won'),
        ),
        migrations.AlterField(
            model_name='team',
            name='logo',
            field=models.ImageField(blank=True, null=True, upload_to='uploads/teams/%Y/%m/%d/', verbose_name='Team logo'),
        ),
        migrations.AlterField(
            model_name='team',
            name='my_team',
            field=models.IntegerField(choices=[(0, 'No'), (1, 'Yes')], default=0, verbose_name='Is this your team?'),
        ),
        migrations.AlterField(
            model_name='team',
            name='name',
            field=models.CharField(max_length=200, verbose_name='Team name'),
        ),
        migrations.AlterField(
            model_name='team',
            name='short_name',
            field=models.CharField(max_length=50, verbose_name='Team short name'),
        ),
        migrations.AlterField(
            model_name='team',
            name='slug',
            field=models.SlugField(null=True, unique=True, verbose_name='Slug'),
        ),
    ]
